#############################################################
#
# mtools
#
#############################################################
MTOOLS_SOURCE:=mtools-3.9.9.tar.bz2
MTOOLS_SITE:=http://mtools.linux.lu
MTOOLS_CAT:=bzcat
MTOOLS_DIR:=$(BUILD_DIR)/mtools-3.9.9
MTOOLS_BINARY:=mformat
MTOOLS_TARGET_BINARY:=usr/bin/mformat

$(DL_DIR)/$(MTOOLS_SOURCE):
	 $(WGET) -P $(DL_DIR) $(MTOOLS_SITE)/$(MTOOLS_SOURCE)

mtools-source: $(DL_DIR)/$(MTOOLS_SOURCE)

$(MTOOLS_DIR)/.unpacked: $(DL_DIR)/$(MTOOLS_SOURCE)
	$(MTOOLS_CAT) $(DL_DIR)/$(MTOOLS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(MTOOLS_DIR)/.unpacked

$(MTOOLS_DIR)/.configured: $(MTOOLS_DIR)/.unpacked
	(cd $(MTOOLS_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		ac_cv_func_setpgrp_void=yes \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=$(TARGET_DIR)/usr \
		--without-x \
		$(DISABLE_NLS) \
		$(DISABLE_LARGEFILE) \
	);
	touch  $(MTOOLS_DIR)/.configured

$(MTOOLS_DIR)/$(MTOOLS_BINARY): $(MTOOLS_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(MTOOLS_DIR)

# This stuff is needed to work around GNU make deficiencies
$(TARGET_DIR)/$(MTOOLS_TARGET_BINARY): $(MTOOLS_DIR)/$(MTOOLS_BINARY)
	    $(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(MTOOLS_DIR) install;

mtools: $(TARGET_DIR)/$(MTOOLS_TARGET_BINARY)

mtools-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(MTOOLS_DIR) uninstall
	-$(MAKE) -C $(MTOOLS_DIR) clean

mtools-dirclean:
	rm -rf $(MTOOLS_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_MTOOLS)),y)
TARGETS+=mtools
endif
